#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    demeter database
    name:origin_growth.py
    author:rabin
"""
from __load__ import *

class Origin_growth(Model):
	__table__ = 'origin_growth'
	__comment__ = '溯源生长阶段表'
	id = Fields(type='uuid', primaryKey=True, comment='阶段ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	batch_id = Fields(type='uuid', comment='批次id')
	name = Fields(type='varchar(150)', comment='名称')
	date = Fields(type='int', comment='时间')
	pic = Fields(type='varchar(255)', comment='图片')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')